<?php

/*
 * PuzzleApp
 * Webemyos
 * Jérôme Oliva
 * GNU Licence
 */

namespace Apps\DownloadManager\Entity;

use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;

class DmCategory extends Entity {

    function __construct($core) {

        $this->Version = "1.0.0.0";

        $this->Core      = $core;
        $this->TableName = "DmCategory";
        $this->Alias     = "DmCategory";

        $this->Name        = new Property("Name",        "Name",        TEXTBOX,  true,  $this->Alias);
        $this->Code        = new Property("Code",        "Code",        TEXTBOX,  true,  $this->Alias);
        $this->Description = new Property("Description", "Description", TEXTAREA, false, $this->Alias);

        $this->Create();
    }
}

?>
